#include <stdio.h>
#include <stdlib.h>

void Output(char *p);

int main() {
	char *p;
	
	p = (char *)malloc(sizeof(char) * 6);
	Output(p);
	free(p);
	
	p = (char *)calloc(6, sizeof(char));
	Output(p);
	free(p);
	
	return 0;
}

void Output(char *p){
	printf("%s\n", p);
	for (int i = 0; i < 6; i++){
		printf("charcter=\'%c\' decimal=%d\n",p[i], p[i]);
	}
}